@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;800&display=swap');

:root{
 background-color: rgb(29, 29, 29);   
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-size: 62.5%;
    font-family: 'Rubik', sans-serif;
}

 /*font-family: 'Amatic SC', cursive; */



h1 {
    margin-top: 2rem; 
    font-size: 3.5rem;
    color: #fff;
    margin-bottom: 2rem;
    font-family: 'Rubik', sans-serif;
    font-weight: 300; 
    
}


@media (max-width: 575px) {
    h1 {
        font-size: 2.5rem;
    }
}


h2 {
    font-size: 3.5rem;
    margin-bottom: 2rem;
    font-family: 'Rubik', sans-serif;
    font-weight: 300; 
    color: #fff;
    text-align: center;
    
}


@media (max-width: 575px) {
    h2 {
        font-size: 2.5rem;
    }
}

.container{
    width: 100vw;
    height: 100vh;
    justify-content: center;
    display: flex;
    align-items: center;
    max-width: 80rem;
    margin: 0 auto;
    padding: 2rem;
}

.flex-column{
    display: flex;
    flex-direction: column;
} 
.flex-center{
    justify-content: center;
    align-items: center;
}

.justify-center{
    justify-content: center;
}

.text-center{
    text-align: center;
}

.hidden{
    display: none;
}

.theText{
    font-size: 2.3rem; 
    color: #fff;
    line-height: 4rem;
    margin-bottom: 2rem;
}



@media (max-width: 575px) {
    .theText {
        font-size: 1.7rem;
        line-height: 3rem;
    }
}

.btn {
    font-size: 2.4rem;
    padding: 1.5rem 0;
    width: 30rem;
    text-align: center;
    margin-bottom: 1rem;
    text-decoration: none;
    color: rgb(28, 26, 26);
    background: linear-gradient(90deg, rgb(18,92,255) 0%, rgb(0, 102, 255) 100%);
    border-radius: 4px;
}

@media (max-width: 575px) {
    .btn {
        font-size: 1.7rem;
        width: 20rem;
    }
}
.btn:hover{
    cursor: pointer;
    box-shadow: 0  0.4rem 1.4rem 0 rgba(8, 114, 244, 0.6);
    transition: transform 150ms;
    transform: scale(1.03);
}

.btn[disabled]:hover {
    cursor: not-allowed;
    box-shadow: none;
    transform: none;
}

#highscore-btn{
    background: linear-gradient(90deg, rgb(255,247,9) 0%, rgb(240, 221, 6) 100%);
}

#highscore-btn:hover{
    box-shadow: 0  0.4rem 1.4rem 0 rgba(255, 255, 0, 0.5);
}

.fa-crown{
    font-size: 2.5rem;
    margin-left: 1rem;
}

/* End Page Css*/

.end-form-container{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 30rem;
}

input{
    margin-bottom: 1rem;
    width: 20rem;
    padding: 1.5rem;
    font-size: 1.8rem;
    border: none;
    box-shadow: 0 0.1rem 1.4rem 0 rgba(86, 185, 235, 0.5);
}

input::placeholder {
    color: #aaa;
}

#username{
    margin-bottom: 3rem;
    width: 100%;
    outline: none;
}

#end-text{
    font-size: 2.4rem;
    color: #fff;
    text-align: center;
}

#saveScoreBtn{
    border: none;
}

.fa-home{
    margin-right: 1rem;
    font-size: 2rem;
    color: rgb(28, 26, 26);
}
